@echo off
chrset
set NETHACKOPTIONS=name:Legolas-E
if not exist legolas.sav goto restore
goto run
:restore
if not exist sav\legolas.sav goto run
Echo Restoring Character File...
copy sav\legolas.sav > nul
:run
nethack %1 %2 %3 %4 %5 %6 %7 %8 %9
pause
mode co80
if exist legolas.sav goto backup
goto end
:backup
Echo Backing Up Character File
copy legolas.sav sav > nul
:end
set NETHACKOPTIONS=
